%define name	endeavour
%define version 2.5.3
%define release 1mdk
%define major	2
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Graphical file manager
Group:		Graphical desktop/Other
License:	GPL
URL: 		http://wolfpack.twu.net/Endeavour2
Source0: 	http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
BuildRequires:	XFree86-devel
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRequires:	ImageMagick
BuildRoot:	%_tmppath/%{name}-buildroot

%description
Endeavour Mark II is a file browser with management support for all
types of disk objects.
It is a complete rewrite from the original Endeavour, many features from the
existing version have been reworked and lots of new features have been added.
New features include:
-Interapplication drag and drop
-Recycled objects caching system
-Device mounting and statistic charting
-Integrated MIME Types system.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{libname}-devel
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q
#%patch

%build
export CFLAGS="%optflags"
./configure Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
make	PREFIX=%{_prefix} \
	MAN_DIR=%{_mandir}/man1 \
	EDV_INCLUDE_DIR=%{_includedir}/%{name}2 \
	EDV_LIB_DIR=%{_libdir} \
	EDV_BIN_DIR=%{_libdir}/%{name}2 \
	all

%install
rm -rf $RPM_BUILD_ROOT
make	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	EDV_INCLUDE_DIR=$RPM_BUILD_ROOT%{_includedir}/%{name}2 \
	EDV_LIB_DIR=$RPM_BUILD_ROOT%{_libdir} \
	EDV_BIN_DIR=$RPM_BUILD_ROOT%{_libdir}/%{name}2 \
	install
# icons
convert endeavour2/images/%{name}_20x20.xpm -resize 16x16 %{name}-16.png
convert endeavour2/images/%{name}_32x32.xpm %{name}-32.png
convert endeavour2/images/%{name}_48x48.xpm %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/endeavour2"\\
	needs="x11"\\
	icon="%{name}.png"\\
	section="System/File Tools"\\
	title="Endeavour" \
	longtitle="File browser with management support for all types of disk objects"
EOF

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}2/{LICENSE,README}

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS HACKING INSTALL LANGUAGE LICENSE README TODO
%{_bindir}/%{name}2
%{_libdir}/%{name}2
%{_mandir}/man1/*
%{_datadir}/endeavour2
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}2*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so

%files -n %libname-devel
%defattr(-,root,root)
%{_includedir}/%{name}2
%{_bindir}/%{name}2-config

%changelog
* Tue Sep 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.3-1mdk
- New release 2.5.3

* Sun Feb 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-1mdk
- 2.5.2

* Sun Jan 16 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.5.1-1mdk
- New release 2.5.1

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.6-2mdk 
- fix menu entry

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 2.4.6-1mdk
- New release 2.4.6

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.4-2mdk 
- explicit libdir

* Tue Jul  6 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 2.4.4-1mdk
- New release 2.4.4

* Wed Jun 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3

* Fri Jun 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.2-1mdk
- new version

* Mon May 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1
- remove patch merged upstream

* Fri Jan 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.3.7-1mdk
- new version
- libification
- correct doc files
- use original icons
- new menu

* Mon Dec 29 2003 Michael Scherer <misc@mandrake.org> 2.3.6-2mdk
- remove /usr/lib/libendeavour2.so link ( was not present before )
 
* Sat Dec 06 2003 Michael Scherer <misc@mandrake.org> 2.3.6-1mdk
- 2.3.6
- drop the last part of the previous patch
 
* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.3.3-1mdk
- 2.3.3
- drop previous multiline patch (merged upstream)
- new multiline patch
- rm -rf $RPM_BUILD_ROOT in %%install
- spec cleanup

* Thu Jul 31 2003 Michael Scherer <scherer.michael@free.fr> 2.3.2-2mdk
- fix compilation 

* Thu May 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.3.2-1mdk
- 2.3.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.20-1mdk
- from Quel Qun <kelk1@sbcglobal.net> :
	- Disabled utility moves since their path is hard coded inside the main app.
	- 2.1.20
	- Added options -geometry -fn -fg -bg -sfg -sbg -title see man
	  endeavour2 for more details.
	- Added download object button in the toolbars, see
	  Settings->Customize->File Browser->Toolbar.
	- Added hedit, a hex editor.  It is installed in
	  /usr/lib/endeavour2/bin/hedit
	- Fixed segfault caused by inconsistent defination of gbool
	- Download front end can now be runned as a stand-alone.
                
* Thu Aug 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.18-1mdk
- 2.1.18

* Mon Aug 05 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.16-1mdk
- 2.1.16

* Thu Jul 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.15-1mdk
- 2.1.15

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.14-1mdk
- 2.1.14

* Mon Apr 01 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.13-1mdk
- 2.1.13

* Tue Mar 12 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.11-1mdk
- 2.1.11

* Mon Feb 18 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.9-1mdk
- 2.1.9
- patch merged upstream

* Thu Feb 07 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.7-1mdk
- 2.17

* Fri Jan 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.5-2mdk
- used png instead of xpm for menu icons

* Thu Jan 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.1.5-1mdk
- 2.1.5

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-4mdk
- back to standard /usr location

* Fri Jan 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-3mdk
- better description

* Tue Jan 01 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 2.0.0-2mdk 
- mandrake optimisation
- first Mandrake release
- spec cleanup
- corrected menu

* Tue Jan  1 2002 Han Boetes <han@mijncomputer.nl> 2.0.0-1mdk
- Initial build
